/*******************************************************************************
 *  Copyright 2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for Countries
 */
public enum EnumCV_Countries 
{
	// Countries - CID 5001
	AFGHANISTAN_AF("AF"),
	AALAND_ISLANDS_AX("AX"),
	ALBANIA_AL("AL"),
	ALGERIA_DZ("DZ"),
	AMERICAN_SAMOA_AS("AS"),
	ANDORRA_AD("AD"),
	ANGOLA_AO("AO"),
	ANGUILLA_AI("AI"),
	ANTARCTICA_AQ("AQ"),
	ANTIGUA_AND_BARBUDA_AG("AG"),
	ARGENTINA_AR("AR"),
	ARMENIA_AM("AM"),
	ARUBA_AW("AW"),
	AUSTRALIA_AU("AU"),
	AUSTRIA_AT("AT"),
	AZERBAIJAN_AZ("AZ"),
	BAHRAIN_BH("BH"),
	BAHAMAS_BS("BS"),
	BANGLADESH_BD("BD"),
	BARBADOS_BB("BB"),
	BELARUS_BY("BY"),
	BELGIUM_BE("BE"),
	BELIZE_BZ("BZ"),
	BENIN_BJ("BJ"),
	BERMUDA_BM("BM"),
	BHUTAN_BT("BT"),
	BOLIVIA_PLURINATIONAL_STATE_OF_BO("BO"),
	BONAIRE_SINT_EUSTATIUS_AND_SABA_BQ("BQ"),
	BOSNIA_AND_HERZEGOVINA_BA("BA"),
	BOTSWANA_BW("BW"),
	BOUVET_ISLAND_BV("BV"),
	BRAZIL_BR("BR"),
	BRITISH_INDIAN_OCEAN_TERRITORY_IO("IO"),
	BRUNEI_DARUSSALAM_BN("BN"),
	BULGARIA_BG("BG"),
	BURKINA_FASO_BF("BF"),
	BURUNDI_BI("BI"),
	CAMBODIA_KH("KH"),
	CAMEROON_CM("CM"),
	CANADA_CA("CA"),
	CAPE_VERDE_CV("CV"),
	CAYMAN_ISLANDS_KY("KY"),
	CENTRAL_AFRICAN_REPUBLIC_CF("CF"),
	CHAD_TD("TD"),
	CHILE_CL("CL"),
	CHINA_CN("CN"),
	CHRISTMAS_ISLAND_CX("CX"),
	COCOS_KEELING_ISLANDS_CC("CC"),
	COLOMBIA_CO("CO"),
	COMOROS_KM("KM"),
	CONGO_CG("CG"),
	CONGO_THE_DEMOCRATIC_REPUBLIC_OF_THE_CD("CD"),
	COOK_ISLANDS_CK("CK"),
	COSTA_RICA_CR("CR"),
	COTE_D_IVOIRE_CI("CI"),
	CROATIA_HR("HR"),
	CUBA_CU("CU"),
	CYPRUS_CY("CY"),
	CZECH_REPUBLIC_CZ("CZ"),
	DENMARK_DK("DK"),
	DJIBOUTI_DJ("DJ"),
	DOMINICA_DM("DM"),
	DOMINICAN_REPUBLIC_DO("DO"),
	ECUADOR_EC("EC"),
	EGYPT_EG("EG"),
	EL_SALVADOR_SV("SV"),
	EQUATORIAL_GUINEA_GQ("GQ"),
	ERITREA_ER("ER"),
	ESTONIA_EE("EE"),
	ETHIOPIA_ET("ET"),
	FALKLAND_ISLANDS_MALVINAS_FK("FK"),
	FAROE_ISLANDS_FO("FO"),
	FIJI_FJ("FJ"),
	FINLAND_FI("FI"),
	FRANCE_FR("FR"),
	FRENCH_GUIANA_GF("GF"),
	FRENCH_POLYNESIA_PF("PF"),
	FRENCH_SOUTHERN_TERRITORIES_TF("TF"),
	GABON_GA("GA"),
	GAMBIA_GM("GM"),
	GEORGIA_GE("GE"),
	GERMANY_DE("DE"),
	GHANA_GH("GH"),
	GIBRALTAR_GI("GI"),
	GREECE_GR("GR"),
	GREENLAND_GL("GL"),
	GRENADA_GD("GD"),
	GUADELOUPE_GP("GP"),
	GUAM_GU("GU"),
	GUATEMALA_GT("GT"),
	GUERNSEY_GG("GG"),
	GUINEA_GN("GN"),
	GUINEA_BISSAU_GW("GW"),
	GUYANA_GY("GY"),
	HAITI_HT("HT"),
	HEARD_ISLAND_AND_MCDONALD_ISLANDS_HM("HM"),
	HOLY_SEE_VATICAN_CITY_STATE_VA("VA"),
	HONDURAS_HN("HN"),
	HONG_KONG_HK("HK"),
	HUNGARY_HU("HU"),
	ICELAND_IS("IS"),
	INDIA_IN("IN"),
	INDONESIA_ID("ID"),
	IRAN_ISLAMIC_REPUBLIC_OF_IR("IR"),
	IRAQ_IQ("IQ"),
	IRELAND_IE("IE"),
	ISLE_OF_MAN_IM("IM"),
	ISRAEL_IL("IL"),
	ITALY_IT("IT"),
	JAMAICA_JM("JM"),
	JAPAN_JP("JP"),
	JERSEY_JE("JE"),
	JORDAN_JO("JO"),
	KAZAKHSTAN_KZ("KZ"),
	KENYA_KE("KE"),
	KIRIBATI_KI("KI"),
	KOREA_DEMOCRATIC_PEOPLES_REPUBLIC_OF_KP("KP"),
	KOREA_REPUBLIC_OF_KR("KR"),
	KUWAIT_KW("KW"),
	KYRGYZSTAN_KG("KG"),
	LAO_PEOPLES_DEMOCRATIC_REPUBLIC_LA("LA"),
	LATVIA_LV("LV"),
	LEBANON_LB("LB"),
	LESOTHO_LS("LS"),
	LIBERIA_LR("LR"),
	LIBYA_LY("LY"),
	LIECHTENSTEIN_LI("LI"),
	LITHUANIA_LT("LT"),
	LUXEMBOURG_LU("LU"),
	MACAO_MO("MO"),
	MACEDONIA_THE_FORMER_YUGOSLAV_REPUBLIC_OF_MK("MK"),
	MADAGASCAR_MG("MG"),
	MALAWI_MW("MW"),
	MALAYSIA_MY("MY"),
	MALDIVES_MV("MV"),
	MALI_ML("ML"),
	MALTA_MT("MT"),
	MARSHALL_ISLANDS_MH("MH"),
	MARTINIQUE_MQ("MQ"),
	MAURITANIA_MR("MR"),
	MAURITIUS_MU("MU"),
	MAYOTTE_YT("YT"),
	MEXICO_MX("MX"),
	MICRONESIA_FEDERATED_STATES_OF_FM("FM"),
	MOLDOVA_REPUBLIC_OF_MD("MD"),
	MONACO_MC("MC"),
	MONGOLIA_MN("MN"),
	MONTENEGRO_ME("ME"),
	MONTSERRAT_MS("MS"),
	MOROCCO_MA("MA"),
	MOZAMBIQUE_MZ("MZ"),
	MYANMAR_MM("MM"),
	NAMIBIA_NA("NA"),
	NAURU_NR("NR"),
	NEPAL_NP("NP"),
	NETHERLANDS_NL("NL"),
	NEW_CALEDONIA_NC("NC"),
	NEW_ZEALAND_NZ("NZ"),
	NICARAGUA_NI("NI"),
	NIGER_NE("NE"),
	NIGERIA_NG("NG"),
	NIUE_NU("NU"),
	NORFOLK_ISLAND_NF("NF"),
	NORTHERN_MARIANA_ISLANDS_MP("MP"),
	NORWAY_NO("NO"),
	OMAN_OM("OM"),
	PAKISTAN_PK("PK"),
	PALAU_PW("PW"),
	PALESTINE_STATE_OF_PS("PS"),
	PANAMA_PA("PA"),
	PAPUA_NEW_GUINEA_PG("PG"),
	PARAGUAY_PY("PY"),
	PERU_PE("PE"),
	PHILIPPINES_PH("PH"),
	PITCAIRN_PN("PN"),
	POLAND_PL("PL"),
	PORTUGAL_PT("PT"),
	PUERTO_RICO_PR("PR"),
	QATAR_QA("QA"),
	RAUNION_RE("RE"),
	ROMANIA_RO("RO"),
	RUSSIAN_FEDERATION_RU("RU"),
	RWANDA_RW("RW"),
	SAINT_BARTHALEMY_BL("BL"),
	SAINT_HELENA_ASCENSION_AND_TRISTAN_DA_CUNHA_SH("SH"),
	SAINT_KITTS_AND_NEVIS_KN("KN"),
	SAINT_LUCIA_LC("LC"),
	SAINT_MARTIN_FRENCH_PART_MF("MF"),
	SAINT_PIERRE_AND_MIQUELON_PM("PM"),
	SAINT_VINCENT_AND_THE_GRENADINES_VC("VC"),
	SAMOA_WS("WS"),
	SAN_MARINO_SM("SM"),
	SAO_TOME_AND_PRINCIPE_ST("ST"),
	SAUDI_ARABIA_SA("SA"),
	SENEGAL_SN("SN"),
	SERBIA_RS("RS"),
	SEYCHELLES_SC("SC"),
	SIERRA_LEONE_SL("SL"),
	SINGAPORE_SG("SG"),
	SINT_MAARTEN_DUTCH_PART_SX("SX"),
	SLOVAKIA_SK("SK"),
	SLOVENIA_SI("SI"),
	SOLOMON_ISLANDS_SB("SB"),
	SOMALIA_SO("SO"),
	SOUTH_AFRICA_ZA("ZA"),
	SOUTH_GEORGIA_AND_THE_SOUTH_SANDWICH_ISLANDS_GS("GS"),
	SOUTH_SUDAN_SS("SS"),
	SPAIN_ES("ES"),
	SRI_LANKA_LK("LK"),
	SUDAN_SD("SD"),
	SURINAME_SR("SR"),
	SVALBARD_AND_JAN_MAYEN_SJ("SJ"),
	SWAZILAND_SZ("SZ"),
	SWEDEN_SE("SE"),
	SWITZERLAND_CH("CH"),
	SYRIAN_ARAB_REPUBLIC_SY("SY"),
	TAIWAN_PROVINCE_OF_CHINA_TW("TW"),
	TAJIKISTAN_TJ("TJ"),
	TANZANIA_UNITED_REPUBLIC_OF_TZ("TZ"),
	THAILAND_TH("TH"),
	TIMOR_LESTE_TL("TL"),
	TOGO_TG("TG"),
	TOKELAU_TK("TK"),
	TONGA_TO("TO"),
	TRINIDAD_AND_TOBAGO_TT("TT"),
	TUNISIA_TN("TN"),
	TURKEY_TR("TR"),
	TURKMENISTAN_TM("TM"),
	TURKS_AND_CAICOS_ISLANDS_TC("TC"),
	TUVALU_TV("TV"),
	UGANDA_UG("UG"),
	UKRAINE_UA("UA"),
	UNITED_ARAB_EMIRATES_AE("AE"),
	UNITED_KINGDOM_GB("GB"),
	UNITED_STATES_US("US"),
	UNITED_STATES_MINOR_OUTLYING_ISLANDS_UM("UM"),
	URUGUAY_UY("UY"),
	UZBEKISTAN_UZ("UZ"),
	VANUATU_VU("VU"),
	VENEZUELA_BOLIVARIAN_REPUBLIC_OF_VE("VE"),
	VIET_NAM_VN("VN"),
	VIRGIN_ISLANDS_BRITISH_VG("VG"),
	VIRGIN_ISLANDS_U_S__VI("VI"),
	WALLIS_AND_FUTUNA_WF("WF"),
	WESTERN_SAHARA_EH("EH"),
	YEMEN_YE("YE"),
	ZAMBIA_ZM("ZM"),
	ZIMBABWE_ZW("ZW"),
	;

	private String value;
	
	EnumCV_Countries(String strvalue)
	{
		this.value = strvalue;
	}
	
	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}